# Uses of Class
org.apache.lucene.facet.DrillDownQuery

Packages that use DrillDownQuery
Package
Description
org.apache.lucene.facet
Faceted search.

- ## Uses of DrillDownQuery in org.apache.lucene.facet

  Methods in org.apache.lucene.facet that return DrillDownQuery
  Modifier and Type
  Method
  Description
  `DrillDownQuery`
  DrillDownQuery.`clone()`
  Methods in org.apache.lucene.facet with parameters of type DrillDownQuery
  Modifier and Type
  Method
  Description
  `DrillSideways.DrillSidewaysResult`
  DrillSideways.`search(DrillDownQuery query, int topN)`
  Search, sorting by score, and computing drill down and sideways counts.
  `<R> DrillSideways.ConcurrentDrillSidewaysResult<R>`
  DrillSideways.`search(DrillDownQuery query, CollectorManager<?,R> hitCollectorManager)`
  Runs a search, using a `CollectorManager` to gather and merge search results
  `<C extends Collector, T, K extends Collector, R>
  DrillSideways.Result<T,R>`
  DrillSideways.`search(DrillDownQuery query, CollectorManager<C,T> drillDownCollectorManager, List<? extends CollectorManager<K,R>> drillSidewaysCollectorManagers)`
  Search using DrillDownQuery with custom collectors.
  `DrillSideways.DrillSidewaysResult`
  DrillSideways.`search(DrillDownQuery query, Query filter, FieldDoc after, int topN, Sort sort, boolean doDocScores)`
  Search, sorting by `Sort`, and computing drill down and sideways counts.
  `DrillSideways.DrillSidewaysResult`
  DrillSideways.`search(ScoreDoc after, DrillDownQuery query, int topN)`
  Search, sorting by score, and computing drill down and sideways counts.